Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.crmf
Class CertTemplate

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.CertTemplate

All Implemented Interfaces:
  DEREncodable

    public class CertTemplate

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static CertTemplate` `getInstance(java.lang.Object o)`

`DERObject`

`toASN1Object()`
CertTemplate ::= SEQUENCE { version [0] Version OPTIONAL, serialNumber [1] INTEGER OPTIONAL, signingAlg [2] AlgorithmIdentifier OPTIONAL, issuer [3] Name OPTIONAL, validity [4] OptionalValidity OPTIONAL, subject [5] Name OPTIONAL, publicKey [6] SubjectPublicKeyInfo OPTIONAL, issuerUID [7] UniqueIdentifier OPTIONAL, subjectUID [8] UniqueIdentifier OPTIONAL, extensions [9] Extensions OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CertTemplate getInstance(java.lang.Object o)

### toASN1Object

    public DERObject toASN1Object()

        CertTemplate ::= SEQUENCE {
            version      [0] Version               OPTIONAL,
            serialNumber [1] INTEGER               OPTIONAL,
            signingAlg   [2] AlgorithmIdentifier   OPTIONAL,
            issuer       [3] Name                  OPTIONAL,
            validity     [4] OptionalValidity      OPTIONAL,
            subject      [5] Name                  OPTIONAL,
            publicKey    [6] SubjectPublicKeyInfo  OPTIONAL,
            issuerUID    [7] UniqueIdentifier      OPTIONAL,
            subjectUID   [8] UniqueIdentifier      OPTIONAL,
            extensions   [9] Extensions            OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45